Subject: Re: [PATCH v4 0/3] gpio: mvebu: Armada 8K/7K PWM support

From: Russell King - ARM Linux admin <[email-masked]>
Date: Mon, 4 Jan 2021 09:24:50 +0000

On Thu, Dec 10, 2020 at 02:15:57PM +0200, Baruch Siach wrote:
> This series makes two changes to v3:
> 
>   * Remove patches that are in LinusW linux-gpio for-next and fixes
> 
>   * Rename the 'pwm-offset' property to 'marvell,pwm-offset' as suggested by 
>     Rob Herring
> 
> The original cover letter follows (with DT property name updated).
> 
> The gpio-mvebu driver supports the PWM functionality of the GPIO block for
> earlier Armada variants like XP, 370 and 38x. This series extends support to
> newer Armada variants that use CP11x and AP80x, like Armada 8K and 7K.
> 
> This series adds adds the 'marvell,pwm-offset' property to DT binding. 
> 'marvell,pwm-offset' points to the base of A/B counter registers that 
> determine the PWM period and duty cycle.
> 
> The existing PWM DT binding reflects an arbitrary decision to allocate the A
> counter to the first GPIO block, and B counter to the other one. In attempt to
> provide better future flexibility, the new 'marvell,pwm-offset' property 
> always points to the base address of both A/B counters. The driver code still 
> allocates the counters in the same way, but this might change in the future 
> with no change to the DT.
> 
> Tested AP806 and CP110 (both) on Armada 8040 based system.

Did you see the patches I sent during the last year doing this and
adding support for the fan on the GT-8k?

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel